NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::TrimLineDevelopmentBuilder Class Reference

Represents a NXOpen::Features::TrimLineDevelopment builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CreateTrimLineDevelopmentBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Die::TrimLineDevelopmentBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Convergency { ConvergencyLow, ConvergencyMedium, ConvergencyHigh }
 The solver convergency level of onestep unform. More...
 
enum  MaterialTypeName { MaterialTypeNameSteel, MaterialTypeNameAluminum }
 Indicates type of material. More...
 
enum  MeshElement { MeshElementTriangle, MeshElementQuadrate }
 The 2-D mesh element type of onestep unform. More...
 
enum  OutputMethodName { OutputMethodNameGeometric, OutputMethodNameCorrected, OutputMethodNameBoth }
 Indicates which trim curves to output. More...
 
enum  SmoothingName { SmoothingNameLinear, SmoothingNameCubic, SmoothingNameQuintic }
 Indicates type of curve smoothing. More...
 
enum  Surface { SurfaceInner, SurfaceMiddle, SurfaceOuter }
 The surface types of onestep unform. More...
 

Public Member Functions

NXOpen::ScCollectorAddendum ()
 Returns the collection of addendum faces
Created in NX6.0.0. More...
 
bool Associative ()
 Returns the associative switch. More...
 
NXOpen::ExpressionBendAllowance ()
 Returns the bend allowance formula. More...
 
void Calculation ()
 Starts solver to calculate. More...
 
NXOpen::SectionConstraintCurveFromTargetRegion ()
 Returns the collection of constraint curve from target region
Created in NX6.0.0. More...
 
NXOpen::SectionConstraintCurveFromUnformRegion ()
 Returns the collection of constraint curve from unform region
Created in NX6.0.0. More...
 
void CreateDefaultSpine ()
 Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX6.0.0. More...
 
void DefaultDraw ()
 Creates a default draw vector by finding the least squares plane of the formed faces
Created in NX6.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::DirectionDrawDirection ()
 Returns the draw direction. More...
 
NXOpen::ScCollectorFaces ()
 Returns the collection of formed faces
Created in NX6.0.0. More...
 
NXOpen::ScCollectorFormingBoundary ()
 Returns the forming boundary
Created in NX6.0.0. More...
 
bool InferElementSize ()
 Returns the option to infer 2-D element size. More...
 
bool InferThickness ()
 Returns the option to infer thickness. More...
 
NXOpen::PointLimitPoint1 ()
 Returns the first limit point
Created in NX6.0.2. More...
 
NXOpen::PointLimitPoint2 ()
 Returns the last limit point
Created in NX6.0.2. More...
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits to control the span of the addendum
Created in NX7.5.0. More...
 
double MaterialPropertyDensity ()
 Returns the density of material. More...
 
double MaterialPropertyE ()
 Returns the material property elasticity(E) which enables a material to return to its original shape and dimension. More...
 
double MaterialPropertyF ()
 Returns the friction of material. More...
 
double MaterialPropertyInitialStrain ()
 Returns the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test. More...
 
double MaterialPropertyK ()
 Returns the K(Strength Coefficient) of material. More...
 
double MaterialPropertyN ()
 Returns the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour. More...
 
double MaterialPropertyPoisson ()
 Returns the material Poisson's ratio between the contraction at right angles to a stress and the direct extension. More...
 
double MaterialPropertyR0 ()
 Returns the r0(Anisotropy Coefficient) of material. More...
 
double MaterialPropertyR45 ()
 Returns the r45(Anisotropy Coefficient) of material. More...
 
double MaterialPropertyR90 ()
 Returns the r90(Anisotropy Coefficient) of material. More...
 
double MaterialPropertyYieldStress ()
 Returns the yield stress of material. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName MaterialType ()
 Returns the material type - steel or aluminum
Created in NX6.0.0. More...
 
void Mesh ()
 Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces. More...
 
bool MeshAttemptMapping ()
 Returns the option to attemp mapping for mesh elements. More...
 
double MeshElementSize ()
 Returns the 2-D element size for mesh. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::MeshElement MeshElementType ()
 Returns the 2-D mesh element type, either triangle or quadrate element. More...
 
double MeshMaxJacobian ()
 Returns the maximum Jacobian for mesh elements. More...
 
double MeshMaxWarp ()
 Returns the maximum warp for meshing. More...
 
bool MeshProcessFillet ()
 Returns the option to process fillet for mesh element. More...
 
int MeshSizeVariation ()
 Returns the variation of mesh element size. More...
 
double MeshSmallFeature ()
 Returns the value of small feature for mesh setting
Created in NX10.0.0. More...
 
bool MeshSplitQuad ()
 Returns the option to split quadrate element to triangle element when creating meshes. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName OutputMethod ()
 Returns the curve output method - geometric, corrected or both
Created in NX6.0.0. More...
 
NXOpen::PointRegionPoint ()
 Returns the point in product region
Created in NX6.0.0. More...
 
bool RemoveLoops ()
 Returns the remove loops setting. More...
 
bool ReverseSide ()
 Returns the option to indicate whether or not to unform the profile to the other side on the target body. More...
 
int SampleDensityIndex ()
 Returns the sample density index which controls the density of the sample planes. More...
 
void SetAssociative (bool associative)
 Sets the associative switch. More...
 
void SetDistanceTolerance (double distTol)
 Sets the distance tolerance. More...
 
void SetDrawDirection (NXOpen::Direction *punchDirection)
 Sets the draw direction. More...
 
void SetInferElementSize (bool inforElementSize)
 Sets the option to infer 2-D element size. More...
 
void SetInferThickness (bool inferThickness)
 Sets the option to infer thickness. More...
 
void SetLimitPoint1 (NXOpen::Point *point)
 Sets the first limit point
Created in NX6.0.2. More...
 
void SetLimitPoint2 (NXOpen::Point *point)
 Sets the last limit point
Created in NX6.0.2. More...
 
void SetMaterialPropertyDensity (double materialPropertyDensity)
 Sets the density of material. More...
 
void SetMaterialPropertyE (double materialPropertyE)
 Sets the material property elasticity(E) which enables a material to return to its original shape and dimension. More...
 
void SetMaterialPropertyF (double materialPropertyF)
 Sets the friction of material. More...
 
void SetMaterialPropertyInitialStrain (double materialPropertyInitialStrain)
 Sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test. More...
 
void SetMaterialPropertyK (double materialPropertyK)
 Sets the K(Strength Coefficient) of material. More...
 
void SetMaterialPropertyN (double materialPropertyN)
 Sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour. More...
 
void SetMaterialPropertyPoisson (double materialPropertyPoisson)
 Sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension. More...
 
void SetMaterialPropertyR0 (double materialPropertyR0)
 Sets the r0(Anisotropy Coefficient) of material. More...
 
void SetMaterialPropertyR45 (double materialPropertyR45)
 Sets the r45(Anisotropy Coefficient) of material. More...
 
void SetMaterialPropertyR90 (double materialPropertyR90)
 Sets the r90(Anisotropy Coefficient) of material. More...
 
void SetMaterialPropertyYieldStress (double materialPropertyYieldStress)
 Sets the yield stress of material. More...
 
void SetMaterialType (NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName materialType)
 Sets the material type - steel or aluminum
Created in NX6.0.0. More...
 
void SetMeshAttemptMapping (bool meshAttemptMapping)
 Sets the option to attemp mapping for mesh elements. More...
 
void SetMeshElementSize (double meshElementSize)
 Sets the 2-D element size for mesh. More...
 
void SetMeshElementType (NXOpen::Die::TrimLineDevelopmentBuilder::MeshElement meshElementType)
 Sets the 2-D mesh element type, either triangle or quadrate element. More...
 
void SetMeshMaxJacobian (double meshMaxJacobian)
 Sets the maximum Jacobian for mesh elements. More...
 
void SetMeshMaxWarp (double meshMaxWarp)
 Sets the maximum warp for meshing. More...
 
void SetMeshProcessFillet (bool meshProcessFillet)
 Sets the option to process fillet for mesh element. More...
 
void SetMeshSizeVariation (int meshSizeVariation)
 Sets the variation of mesh element size. More...
 
void SetMeshSmallFeature (double meshSmallFeature)
 Sets the value of small feature for mesh setting
Created in NX10.0.0. More...
 
void SetMeshSplitQuad (bool meshSplitQuad)
 Sets the option to split quadrate element to triangle element when creating meshes. More...
 
void SetOutputMethod (NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName outputMethod)
 Sets the curve output method - geometric, corrected or both
Created in NX6.0.0. More...
 
void SetRegionPoint (NXOpen::Point *regionPoint)
 Sets the point in product region
Created in NX6.0.0. More...
 
void SetRemoveLoops (bool removeLoops)
 Sets the remove loops setting. More...
 
void SetReverseSide (bool reverseSide)
 Sets the option to indicate whether or not to unform the profile to the other side on the target body. More...
 
void SetSampleDensityIndex (int sampleDensityIndex)
 Sets the sample density index which controls the density of the sample planes. More...
 
void SetSheetThickness (double thickness)
 Sets the thickness of sheet metal model. More...
 
void SetSmoothing (NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName smoothing)
 Sets the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0. More...
 
void SetSolverConvergencyLevel (NXOpen::Die::TrimLineDevelopmentBuilder::Convergency solverConvergencyLevel)
 Sets the convergency level of onestep solver. More...
 
void SetSolverJoinOutputCurves (bool solverJoinOutputCurves)
 Sets the option to join output curves. More...
 
void SetSolverMaxIterationSteps (int solverMaxIterationSteps)
 Sets the maximum number of iteration steps in onestep solver. More...
 
void SetSolverSaveAnalysisResultsIntoFeature (bool solverSaveAnalysisResultsIntoFeature)
 Sets the option to save analysis result into feature. More...
 
void SetSpineRadius (double spineRadius)
 Sets the spine radius, used by NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0. More...
 
void SetSurfaceType (NXOpen::Die::TrimLineDevelopmentBuilder::Surface surfaceType)
 Sets the surface type used to determine offset direction. More...
 
double SheetThickness ()
 Returns the thickness of sheet metal model. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName Smoothing ()
 Returns the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::Convergency SolverConvergencyLevel ()
 Returns the convergency level of onestep solver. More...
 
bool SolverJoinOutputCurves ()
 Returns the option to join output curves. More...
 
int SolverMaxIterationSteps ()
 Returns the maximum number of iteration steps in onestep solver. More...
 
bool SolverSaveAnalysisResultsIntoFeature ()
 Returns the option to save analysis result into feature. More...
 
NXOpen::ScCollectorSpine ()
 Returns the spine string, which determines the orientation of the sample planes
Created in NX6.0.0. More...
 
double SpineRadius ()
 Returns the spine radius, used by NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0. More...
 
NXOpen::Die::TrimLineDevelopmentBuilder::Surface SurfaceType ()
 Returns the surface type used to determine offset direction. More...
 
NXOpen::ExpressionThickness ()
 Returns the material thickness. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::TrimLineDevelopment builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CreateTrimLineDevelopmentBuilder

Created in NX6.0.0.


Member Enumeration Documentation

The solver convergency level of onestep unform.

Enumerator
ConvergencyLow 

Onestep solver convergency level is low.

ConvergencyMedium 

Onestep solver convergency level is medium.

ConvergencyHigh 

Onestep solver convergency level is high.

Indicates type of material.

Enumerator
MaterialTypeNameSteel 

Steel.

MaterialTypeNameAluminum 

Aluminum.

The 2-D mesh element type of onestep unform.

Enumerator
MeshElementTriangle 

Generate 2D triangle mesh element.

MeshElementQuadrate 

Generate 2D quadrate mesh element.

Indicates which trim curves to output.

Enumerator
OutputMethodNameGeometric 

Geometric curve only.

OutputMethodNameCorrected 

Corrected curve only.

OutputMethodNameBoth 

Both geometric and corrected curves.

Indicates type of curve smoothing.

Enumerator
SmoothingNameLinear 

Linear (no smoothing)

SmoothingNameCubic 

Cubic approximation.

SmoothingNameQuintic 

Quintic approximation.

The surface types of onestep unform.

Enumerator
SurfaceInner 

Onestep solver will offset inner surface and enlarge it.

SurfaceMiddle 

Onestep solver will not offset middle surface.

SurfaceOuter 

Onestep solver will offset outer surface and shrink it.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Addendum ( )

Returns the collection of addendum faces
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::Associative ( )

Returns the associative switch.

True indicates a feature should be output
Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::TrimLineDevelopmentBuilder::BendAllowance ( )

Returns the bend allowance formula.

Value should be between 0 and 1
Created in NX6.0.0.

License requirements : None

void NXOpen::Die::TrimLineDevelopmentBuilder::Calculation ( )

Starts solver to calculate.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Die::TrimLineDevelopmentBuilder::ConstraintCurveFromTargetRegion ( )

Returns the collection of constraint curve from target region
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Die::TrimLineDevelopmentBuilder::ConstraintCurveFromUnformRegion ( )

Returns the collection of constraint curve from unform region
Created in NX6.0.0.



License requirements : None

void NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine ( )

Creates a smoothed spine curve from the forming boundary using the spine radius value
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::TrimLineDevelopmentBuilder::DefaultDraw ( )

Creates a default draw vector by finding the least squares plane of the formed faces
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::TrimLineDevelopmentBuilder::DistanceTolerance ( )

Returns the distance tolerance.

Used for sewing sheet bodies and joining curves
Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Die::TrimLineDevelopmentBuilder::DrawDirection ( )

Returns the draw direction.

Also points in the direction of material side of metal
Created in NX6.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Faces ( )

Returns the collection of formed faces
Created in NX6.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::FormingBoundary ( )

Returns the forming boundary
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::InferElementSize ( )

Returns the option to infer 2-D element size.

If it is true, the element size will be auto-detected. If it is false, the element size will be required as input.
Created in NX10.0.0.

License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::InferThickness ( )

Returns the option to infer thickness.

If it is true, the thickness will be auto-detected. If it is false, thickness will be required to input.
Created in NX10.0.0.

License requirements : None

NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::LimitPoint1 ( )

Returns the first limit point
Created in NX6.0.2.



License requirements : None

NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::LimitPoint2 ( )

Returns the last limit point
Created in NX6.0.2.



License requirements : None

NXOpen::Die::DieLimitsBuilder* NXOpen::Die::TrimLineDevelopmentBuilder::Limits ( )

Returns the limits to control the span of the addendum
Created in NX7.5.0.



License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyDensity ( )

Returns the density of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyE ( )

Returns the material property elasticity(E) which enables a material to return to its original shape and dimension.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyF ( )

Returns the friction of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyInitialStrain ( )

Returns the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyK ( )

Returns the K(Strength Coefficient) of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyN ( )

Returns the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyPoisson ( )

Returns the material Poisson's ratio between the contraction at right angles to a stress and the direct extension.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyR0 ( )

Returns the r0(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyR45 ( )

Returns the r45(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyR90 ( )

Returns the r90(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MaterialPropertyYieldStress ( )

Returns the yield stress of material.


Created in NX10.0.0.

License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName NXOpen::Die::TrimLineDevelopmentBuilder::MaterialType ( )

Returns the material type - steel or aluminum
Created in NX6.0.0.



License requirements : None

void NXOpen::Die::TrimLineDevelopmentBuilder::Mesh ( )

Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Die::TrimLineDevelopmentBuilder::MeshAttemptMapping ( )

Returns the option to attemp mapping for mesh elements.

If it is true, mesh element nodes will be mapped to the orginal surface to ensure the accuracy. if it is false, it will not do mapping.
Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MeshElementSize ( )

Returns the 2-D element size for mesh.


Created in NX10.0.0.

License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::MeshElement NXOpen::Die::TrimLineDevelopmentBuilder::MeshElementType ( )

Returns the 2-D mesh element type, either triangle or quadrate element.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MeshMaxJacobian ( )

Returns the maximum Jacobian for mesh elements.

It is used to control the element shape and quality.
Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MeshMaxWarp ( )

Returns the maximum warp for meshing.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::MeshProcessFillet ( )

Returns the option to process fillet for mesh element.

If it is true, the small fillet area will be specially processed when generate mesh element. If it is false, it will be not specially processed.
Created in NX10.0.0.

License requirements : None

int NXOpen::Die::TrimLineDevelopmentBuilder::MeshSizeVariation ( )

Returns the variation of mesh element size.


Created in NX10.0.0.

License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::MeshSmallFeature ( )

Returns the value of small feature for mesh setting
Created in NX10.0.0.



License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::MeshSplitQuad ( )

Returns the option to split quadrate element to triangle element when creating meshes.


Created in NX10.0.0.

License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethod ( )

Returns the curve output method - geometric, corrected or both
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::Die::TrimLineDevelopmentBuilder::RegionPoint ( )

Returns the point in product region
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::RemoveLoops ( )

Returns the remove loops setting.

True indicates loops should be removed from the output curves
Created in NX6.0.0.

License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::ReverseSide ( )

Returns the option to indicate whether or not to unform the profile to the other side on the target body.

This option is appliable only in case the following conditions are all satisfied: entire unform to seperate target body, Curve to Curve constraint on inner edges.
Created in NX10.0.0.

License requirements : None

int NXOpen::Die::TrimLineDevelopmentBuilder::SampleDensityIndex ( )

Returns the sample density index which controls the density of the sample planes.

Value should be between 1 and 9
Created in NX6.0.0.

License requirements : None

void NXOpen::Die::TrimLineDevelopmentBuilder::SetAssociative ( bool  associative)

Sets the associative switch.

True indicates a feature should be output
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
associativeassociative
void NXOpen::Die::TrimLineDevelopmentBuilder::SetDistanceTolerance ( double  distTol)

Sets the distance tolerance.

Used for sewing sheet bodies and joining curves
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distToldisttol
void NXOpen::Die::TrimLineDevelopmentBuilder::SetDrawDirection ( NXOpen::Direction punchDirection)

Sets the draw direction.

Also points in the direction of material side of metal
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
punchDirectionpunchdirection
void NXOpen::Die::TrimLineDevelopmentBuilder::SetInferElementSize ( bool  inforElementSize)

Sets the option to infer 2-D element size.

If it is true, the element size will be auto-detected. If it is false, the element size will be required as input.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
inforElementSizeinforelementsize
void NXOpen::Die::TrimLineDevelopmentBuilder::SetInferThickness ( bool  inferThickness)

Sets the option to infer thickness.

If it is true, the thickness will be auto-detected. If it is false, thickness will be required to input.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
inferThicknessinferthickness
void NXOpen::Die::TrimLineDevelopmentBuilder::SetLimitPoint1 ( NXOpen::Point point)

Sets the first limit point
Created in NX6.0.2.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
pointpoint
void NXOpen::Die::TrimLineDevelopmentBuilder::SetLimitPoint2 ( NXOpen::Point point)

Sets the last limit point
Created in NX6.0.2.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
pointpoint
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyDensity ( double  materialPropertyDensity)

Sets the density of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyDensitymaterialpropertydensity
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyE ( double  materialPropertyE)

Sets the material property elasticity(E) which enables a material to return to its original shape and dimension.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyEmaterialpropertye
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyF ( double  materialPropertyF)

Sets the friction of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyFmaterialpropertyf
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyInitialStrain ( double  materialPropertyInitialStrain)

Sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyInitialStrainmaterialpropertyinitialstrain
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyK ( double  materialPropertyK)

Sets the K(Strength Coefficient) of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyKmaterialpropertyk
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyN ( double  materialPropertyN)

Sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyNmaterialpropertyn
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyPoisson ( double  materialPropertyPoisson)

Sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyPoissonmaterialpropertypoisson
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyR0 ( double  materialPropertyR0)

Sets the r0(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyR0materialpropertyr0
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyR45 ( double  materialPropertyR45)

Sets the r45(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyR45materialpropertyr45
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyR90 ( double  materialPropertyR90)

Sets the r90(Anisotropy Coefficient) of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyR90materialpropertyr90
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialPropertyYieldStress ( double  materialPropertyYieldStress)

Sets the yield stress of material.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialPropertyYieldStressmaterialpropertyyieldstress
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMaterialType ( NXOpen::Die::TrimLineDevelopmentBuilder::MaterialTypeName  materialType)

Sets the material type - steel or aluminum
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
materialTypematerialtype
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshAttemptMapping ( bool  meshAttemptMapping)

Sets the option to attemp mapping for mesh elements.

If it is true, mesh element nodes will be mapped to the orginal surface to ensure the accuracy. if it is false, it will not do mapping.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshAttemptMappingmeshattemptmapping
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshElementSize ( double  meshElementSize)

Sets the 2-D element size for mesh.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshElementSizemeshelementsize
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshElementType ( NXOpen::Die::TrimLineDevelopmentBuilder::MeshElement  meshElementType)

Sets the 2-D mesh element type, either triangle or quadrate element.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshElementTypemeshelementtype
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshMaxJacobian ( double  meshMaxJacobian)

Sets the maximum Jacobian for mesh elements.

It is used to control the element shape and quality.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshMaxJacobianmeshmaxjacobian
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshMaxWarp ( double  meshMaxWarp)

Sets the maximum warp for meshing.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshMaxWarpmeshmaxwarp
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshProcessFillet ( bool  meshProcessFillet)

Sets the option to process fillet for mesh element.

If it is true, the small fillet area will be specially processed when generate mesh element. If it is false, it will be not specially processed.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshProcessFilletmeshprocessfillet
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshSizeVariation ( int  meshSizeVariation)

Sets the variation of mesh element size.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshSizeVariationmeshsizevariation
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshSmallFeature ( double  meshSmallFeature)

Sets the value of small feature for mesh setting
Created in NX10.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshSmallFeaturemeshsmallfeature
void NXOpen::Die::TrimLineDevelopmentBuilder::SetMeshSplitQuad ( bool  meshSplitQuad)

Sets the option to split quadrate element to triangle element when creating meshes.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
meshSplitQuadmeshsplitquad
void NXOpen::Die::TrimLineDevelopmentBuilder::SetOutputMethod ( NXOpen::Die::TrimLineDevelopmentBuilder::OutputMethodName  outputMethod)

Sets the curve output method - geometric, corrected or both
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
outputMethodoutputmethod
void NXOpen::Die::TrimLineDevelopmentBuilder::SetRegionPoint ( NXOpen::Point regionPoint)

Sets the point in product region
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
regionPointregionpoint
void NXOpen::Die::TrimLineDevelopmentBuilder::SetRemoveLoops ( bool  removeLoops)

Sets the remove loops setting.

True indicates loops should be removed from the output curves
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
removeLoopsremoveloops
void NXOpen::Die::TrimLineDevelopmentBuilder::SetReverseSide ( bool  reverseSide)

Sets the option to indicate whether or not to unform the profile to the other side on the target body.

This option is appliable only in case the following conditions are all satisfied: entire unform to seperate target body, Curve to Curve constraint on inner edges.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reverseSidereverseside
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSampleDensityIndex ( int  sampleDensityIndex)

Sets the sample density index which controls the density of the sample planes.

Value should be between 1 and 9
Created in NX6.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sampleDensityIndexsampledensityindex
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSheetThickness ( double  thickness)

Sets the thickness of sheet metal model.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
thicknessthickness
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSmoothing ( NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName  smoothing)

Sets the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
smoothingsmoothing
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSolverConvergencyLevel ( NXOpen::Die::TrimLineDevelopmentBuilder::Convergency  solverConvergencyLevel)

Sets the convergency level of onestep solver.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
solverConvergencyLevelsolverconvergencylevel
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSolverJoinOutputCurves ( bool  solverJoinOutputCurves)

Sets the option to join output curves.

If it is true, join output curves. If it is false, do not join output curves
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
solverJoinOutputCurvessolverjoinoutputcurves
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSolverMaxIterationSteps ( int  solverMaxIterationSteps)

Sets the maximum number of iteration steps in onestep solver.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
solverMaxIterationStepssolvermaxiterationsteps
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSolverSaveAnalysisResultsIntoFeature ( bool  solverSaveAnalysisResultsIntoFeature)

Sets the option to save analysis result into feature.

If it is true, save analysis result into feature. If it is false, do not save analysis result into feature.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
solverSaveAnalysisResultsIntoFeaturesolversaveanalysisresultsintofeature
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSpineRadius ( double  spineRadius)

Sets the spine radius, used by NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
spineRadiusspineradius
void NXOpen::Die::TrimLineDevelopmentBuilder::SetSurfaceType ( NXOpen::Die::TrimLineDevelopmentBuilder::Surface  surfaceType)

Sets the surface type used to determine offset direction.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
surfaceTypesurfacetype
double NXOpen::Die::TrimLineDevelopmentBuilder::SheetThickness ( )

Returns the thickness of sheet metal model.


Created in NX10.0.0.

License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::SmoothingName NXOpen::Die::TrimLineDevelopmentBuilder::Smoothing ( )

Returns the curve smoothing method - linear (none), cubic or quintic
Created in NX6.0.0.



License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::Convergency NXOpen::Die::TrimLineDevelopmentBuilder::SolverConvergencyLevel ( )

Returns the convergency level of onestep solver.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::SolverJoinOutputCurves ( )

Returns the option to join output curves.

If it is true, join output curves. If it is false, do not join output curves
Created in NX10.0.0.

License requirements : None

int NXOpen::Die::TrimLineDevelopmentBuilder::SolverMaxIterationSteps ( )

Returns the maximum number of iteration steps in onestep solver.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Die::TrimLineDevelopmentBuilder::SolverSaveAnalysisResultsIntoFeature ( )

Returns the option to save analysis result into feature.

If it is true, save analysis result into feature. If it is false, do not save analysis result into feature.
Created in NX10.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Die::TrimLineDevelopmentBuilder::Spine ( )

Returns the spine string, which determines the orientation of the sample planes
Created in NX6.0.0.



License requirements : None

double NXOpen::Die::TrimLineDevelopmentBuilder::SpineRadius ( )

Returns the spine radius, used by NXOpen::Die::TrimLineDevelopmentBuilder::CreateDefaultSpine
Created in NX6.0.0.



License requirements : None

NXOpen::Die::TrimLineDevelopmentBuilder::Surface NXOpen::Die::TrimLineDevelopmentBuilder::SurfaceType ( )

Returns the surface type used to determine offset direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::TrimLineDevelopmentBuilder::Thickness ( )

Returns the material thickness.

Value should be greater than zero.
Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.